Subject: [rohc] Question about R-Mode and packet types

From: "Holmes, Matthew, CND Tech Dev, VF UK" <[email-masked]>
Date: Fri, 10 Jan 2003 11:28:40 -0000

Hi All

I'm a little confused with the following description in RFC 3095 section 5.5.1.2 where an example of an algorithm to update packets is given:

Let pRTT be the number of packets that are sent during one round-trip time. In the SO state, when (64 - pRTT) headers have been sent since the last acked reference, the compressor will send m1 consecutive R-0-CRC headers, then send (pRTT - m1) R-0 headers. After these headers have been sent, if the compressor has not received an ACK to at least one of the previously sent R0-CRC, it sends R-0-CRC headers continuously until it receives a corresponding ACK. m1 is an implementation parameter, which can be as large as pRTT.

I understand it up until the part when it says that if no ACK has been received R-0-CRC packets will be continuously sent. At some point though surely the compressor will have to start sending type 2 packets to included a larger SN. With the last ACKed reference number which the compressor has stored the SN in the R-0-CRC packet will become to small.

Any help clarifying the above would be much appreciated,

Thank you

Matthew Holmes
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Fri, 10 Jan 2003 12:45:55 +0100

Matthew,

You are totally correct, of course you will have to send
"larger" headers if the information to send can not be
conveyed with an R-0-CRC, that is a general compression
principle. The text you refer to could have said "After
these headers have been sent, if the compressor has not
received an ACK to at least one of the previously sent
R-0-CRC, it should not send R-0 headers before it
receives a corresponding ACK."

Cheers,
/L-E

> -----Original Message-----
> From: Holmes, Matthew, CND Tech Dev, VF UK
> [mailto:[email-masked]]
> Sent: den 10 januari 2003 12:29
> To: [email-masked]
> Subject: [rohc] Question about R-Mode and packet types
> 
> 
> Hi All
> 
> I'm a little confused with the following description in RFC 
> 3095 section 5.5.1.2 where an example of an algorithm to 
> update packets is given:
> 
> Let pRTT be the number of packets that are sent during one 
> round-trip time. In the SO state, when (64 - pRTT) headers 
> have been sent since the last acked reference, the compressor 
> will send m1 consecutive R-0-CRC headers, then send (pRTT - 
> m1) R-0 headers. After these headers have been sent, if the 
> compressor has not received an ACK to at least one of the 
> previously sent R0-CRC, it sends R-0-CRC headers continuously 
> until it receives a corresponding ACK. m1 is an 
> implementation parameter, which can be as large as pRTT.
> 
> I understand it up until the part when it says that if no ACK 
> has been received R-0-CRC packets will be continuously sent. 
> At some point though surely the compressor will have to start 
> sending type 2 packets to included a larger SN. With the last 
> ACKed reference number which the compressor has stored the SN 
> in the R-0-CRC packet will become to small.
>